#!/bin/sh

# this script is used to remove obsolete files after firmware update
# it is run during GSG startup from /etc/rc.d/rc.local
# when adding lines please specify in comment what the line is for

# Remove asw_reboot script as unnecessary, ASW now have the reboot
rm /var/www/cgi-bin/asw_reboot
rm /var/www/cgi-bin/frontpanel_cgi

# Remove unneeded static libraries
rm /usr/lib/libgpstk.a
rm /lib/libNiD*-LI-1.4.a

# Remove old gpstk libs  ASW2.09->ASW2.10/ASW3.0
rm /usr/lib/libgpstk.so.16
rm /usr/lib/libgpstk.so.16.0.0
rm /usr/lib/librxio.*
rm /usr/lib/libprocframe.*
rm /usr/lib/libgeomatics.*
rm /usr/lib/libvdraw.*
rm /usr/lib/libvplot.*


# Remove old default navigation data, new data is Jan 2011  ASW2.09->ASW2.10/ASW3.0
rm /opt/mm/navigationData/rinex/*.09*

# Remove old default scenarios, ASW2.09->ASW2.10/ASW3.0
rm /opt/mm/scenarios/scen*

# Remove old web front panels, ASW2.09->ASW2.10/ASW3.0
rm /var/www/html/GSG-54Panel.bmp
rm /var/www/html/GSG-55Panel.bmp

# Remove YUMA (never used) files, ASW2.09->ASW2.10/ASW3.0
rm -rf /opt/mm/navigationData/yuma

# Remove possible dummy used when flash image for EA was made
rm /dummy

# Remove old (2011) navigation data, new data is Jan 2012 ASW2.10RC->ASW2.10/ASW3.0
rm /opt/mm/navigationData/rinex/r3/*.11*
rm /opt/mm/navigationData/agl/Topcon_11*

# Remove only first 3 days of Jan 2012 (PEND-777)
rm /opt/mm/navigationData/agl/Topcon_120101.agl
rm /opt/mm/navigationData/agl/Topcon_120102.agl
rm /opt/mm/navigationData/agl/Topcon_120103.agl
rm /opt/mm/navigationData/rinex/r3/brdc0010.12n
rm /opt/mm/navigationData/rinex/r3/brdc0020.12n
rm /opt/mm/navigationData/rinex/r3/brdc0030.12n
rm /opt/mm/navigationData/rinex/r3/brdc0010.12g
rm /opt/mm/navigationData/rinex/r3/brdc0020.12g
rm /opt/mm/navigationData/rinex/r3/brdc0030.12g

# Remove old .r3 files found in navigationData/download folder (PEND-791)
rm /opt/mm/user/navigationData/download/*.r3

